<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RevRecTemplateSearch StructType
 * @subpackage Structs
 */
class RevRecTemplateSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RevRecTemplateSearchBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for RevRecTemplateSearch
     * @uses RevRecTemplateSearch::setBasic()
     * @uses RevRecTemplateSearch::setUserJoin()
     * @param \StructType\RevRecTemplateSearchBasic $basic
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\RevRecTemplateSearchBasic $basic = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\RevRecTemplateSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\RevRecTemplateSearchBasic $basic
     * @return \StructType\RevRecTemplateSearch
     */
    public function setBasic(\StructType\RevRecTemplateSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\RevRecTemplateSearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
